#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0xc6479b92, "");
SYMBOL_CRC(jbd2_journal_start, 0xdd915cb9, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x9396772a, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0xaf4f9b7e, "");
SYMBOL_CRC(jbd2__journal_restart, 0xafa73b58, "");
SYMBOL_CRC(jbd2_journal_restart, 0xe947abdb, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0xfe1f3e89, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x3de81f43, "");
SYMBOL_CRC(jbd2_journal_extend, 0x45a2e56e, "");
SYMBOL_CRC(jbd2_journal_stop, 0xe89f9a33, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x129d767c, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xd27f4649, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0xdf46516f, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x67c4e8a7, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xab57fa74, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x39a63b4b, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x1c97ecae, "");
SYMBOL_CRC(jbd2_journal_forget, 0x73d83aab, "");
SYMBOL_CRC(jbd2_journal_flush, 0xbb1711bd, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x868869e7, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xf6ef8e8a, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x9b276024, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x59b3ca26, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x7a9d9bb9, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xfebc2e19, "");
SYMBOL_CRC(jbd2_journal_load, 0xe0511cca, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x870974cb, "");
SYMBOL_CRC(jbd2_journal_abort, 0x44da99ac, "");
SYMBOL_CRC(jbd2_journal_errno, 0xa0e0ac95, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x1da7ed67, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x649aedac, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0xd12307ba, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x82834321, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x6ed05404, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x163e6224, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0xf5bf6b20, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0xd8cce911, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0xa1589383, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x2eec2c57, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xb2fab8d2, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0xfe1c38c0, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x6ea0abcd, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x604be2d9, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x84730447, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x245ae9a5, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x1e6104f8, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x90dfab1e, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0xb32dcd4e, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x7793b21f, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x65b8afbd, "");
SYMBOL_CRC(jbd2_complete_transaction, 0xaf843655, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x1f5f768d, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x49eba185, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x05e5c1fd, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xd80470f6, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x4137f72b, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x5b032f70, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0xfd17f92c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x2d0399fe, "bh_uptodate_or_lock" },
	{ 0x1bc70b97, "vmemmap" },
	{ 0x826ecbf0, "blk_start_plug" },
	{ 0x5502f76a, "bpf_trace_run4" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x3fd09806, "folio_unlock" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x1f970f31, "seq_release" },
	{ 0x98de1c15, "snprintf" },
	{ 0x544de408, "trace_raw_output_prep" },
	{ 0x3f6f4cb9, "bpf_trace_run6" },
	{ 0x4f2b08c3, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x6824ecc5, "__find_get_block" },
	{ 0x45465ccc, "filemap_fdatawrite_range" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xf3c264cc, "trace_event_printf" },
	{ 0x1bfcde17, "__bforget" },
	{ 0x74e773c0, "write_dirty_buffer" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x69097457, "crc32_be" },
	{ 0x25a3be1a, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x419ff440, "iput" },
	{ 0xc158d1b, "seq_lseek" },
	{ 0xbdf716e3, "blockdev_superblock" },
	{ 0xc0fcbbc5, "proc_create_data" },
	{ 0xf7637850, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x28e8698f, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x60b2c923, "kmem_cache_create" },
	{ 0x64411a53, "bpf_trace_run8" },
	{ 0xf016ef14, "submit_bh" },
	{ 0x9a3e3b3b, "alloc_buffer_head" },
	{ 0x7633ae52, "wake_up_process" },
	{ 0x695d387f, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x298c28c4, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x5dd76e44, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc9a91797, "trace_event_ignore_this_pid" },
	{ 0x6c71a3d6, "try_to_free_buffers" },
	{ 0x430e0c84, "sync_blockdev" },
	{ 0x90bedb29, "free_buffer_head" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x3716b09e, "kmem_cache_alloc" },
	{ 0x11e25e5d, "blk_finish_plug" },
	{ 0x13d929a0, "__cond_resched_lock" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x380ec283, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdaae0317, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x3dae676a, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xc2a113a, "add_timer" },
	{ 0xf2289e7f, "__bh_read_batch" },
	{ 0x393a03dd, "bpf_trace_run5" },
	{ 0x29a6c00b, "__wait_on_buffer" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd6ceec11, "kmem_cache_free" },
	{ 0x90c98425, "__bh_read" },
	{ 0x69dadd51, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x75752666, "blkdev_issue_zeroout" },
	{ 0xadcd5667, "filemap_fdatawait_range_keep_errors" },
	{ 0xc34db605, "crypto_shash_update" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x686798ce, "freezing_slow_path" },
	{ 0xc473c50f, "bpf_trace_run1" },
	{ 0xa45540a9, "proc_mkdir" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe798236d, "jiffies" },
	{ 0x882ea671, "kthread_create_on_node" },
	{ 0xbc75a65, "bpf_trace_run3" },
	{ 0x6700122, "seq_read" },
	{ 0x1f016948, "unlock_buffer" },
	{ 0x5853ab5a, "__getblk_gfp" },
	{ 0xd73b4467, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x87d18f4a, "__folio_put" },
	{ 0x1b0564c9, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1e7d367a, "seq_printf" },
	{ 0xeb3f15aa, "__lock_buffer" },
	{ 0xf2f640cf, "truncate_inode_pages_range" },
	{ 0x154eb8de, "blkdev_issue_flush" },
	{ 0xcd22288, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb7e1eb4a, "end_buffer_write_sync" },
	{ 0x3614c7f5, "seq_open" },
	{ 0x95ccdcc1, "kmalloc_trace" },
	{ 0xb7b89e8e, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x25fe4a3d, "schedule_hrtimeout" },
	{ 0x1a3ae213, "crypto_alloc_shash" },
	{ 0x7410aba2, "strreplace" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x5ad6de54, "kmalloc_caches" },
	{ 0x6db1e3bd, "kmem_cache_destroy" },
	{ 0x2c02b904, "blkdev_issue_discard" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1E9097C1A77DB81BD622467");
MODULE_INFO(rhelversion, "9.6");
