#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xcfd794d4, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x61f85bdc, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x8f052a4f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6f4e6362, "rtnl_link_register" },
	{ 0x1e7a8de0, "genl_register_family" },
	{ 0xfd7073df, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x298c28c4, "crypto_destroy_tfm" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1c5d8b33, "crypto_alloc_aead" },
	{ 0xb708917a, "crypto_aead_setkey" },
	{ 0xde7cd7da, "crypto_aead_setauthsize" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xf00a075f, "nla_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0x8fff2b3c, "skb_pull" },
	{ 0x88e2e6b9, "___pskb_trim" },
	{ 0xfcaa16e4, "ether_setup" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0xd4a42e20, "dev_mc_sync" },
	{ 0x2bffc29e, "dev_uc_sync" },
	{ 0xeb2ea98a, "dev_set_allmulti" },
	{ 0x6f15c2db, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x8d6fcc54, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb5a55c26, "dst_release" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xbc8949ac, "__dev_queue_xmit" },
	{ 0x5537b0de, "eth_type_trans" },
	{ 0x3af0addd, "gro_cells_receive" },
	{ 0x59a99c05, "sk_skb_reason_drop" },
	{ 0x284312ae, "__dev_get_by_index" },
	{ 0x9326ed73, "skb_clone" },
	{ 0xc7179321, "__netif_rx" },
	{ 0xe7d3db56, "consume_skb" },
	{ 0xe025df8, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x348a3bce, "skb_to_sgvec" },
	{ 0x324c3bec, "crypto_aead_decrypt" },
	{ 0x90a5230e, "skb_copy" },
	{ 0xcdf1b106, "skb_push" },
	{ 0x22b6cdfb, "__pskb_pull_tail" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcab3b127, "gro_cells_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x181080b4, "skb_put" },
	{ 0xab213920, "crypto_aead_encrypt" },
	{ 0x56ec09ef, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x3b3e986, "skb_trim" },
	{ 0xa460b4d0, "register_netdevice" },
	{ 0x900e2562, "netdev_upper_dev_link" },
	{ 0x3a0f72bf, "netdev_upper_dev_unlink" },
	{ 0x8fff7153, "unregister_netdevice_queue" },
	{ 0x91ed2492, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe4e242d7, "netif_stacked_transfer_operstate" },
	{ 0xa004f7b6, "linkwatch_fire_event" },
	{ 0x5ad6de54, "kmalloc_caches" },
	{ 0x95ccdcc1, "kmalloc_trace" },
	{ 0xc9aa4c82, "netdev_rx_handler_register" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa0a3040f, "netdev_rx_handler_unregister" },
	{ 0x26e93ba3, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x1539fb97, "netif_carrier_off" },
	{ 0xa003f2bc, "dev_mc_unsync" },
	{ 0x73f92082, "dev_uc_unsync" },
	{ 0x8bb13419, "dev_uc_del" },
	{ 0x36d4f5df, "dev_uc_add" },
	{ 0xdde97b3a, "netif_carrier_on" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x773f6461, "genlmsg_put" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D36EABBE2179D7DFF693513");
MODULE_INFO(rhelversion, "9.6");
