#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x0def56ce, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0xa9f10ee5, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x62a5e64d, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0xc7123588, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x42eaf729, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0xf9b0c242, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x95e5189c, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x0b2785d9, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0xb648b349, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0xf5fb5331, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x714e76de, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x58fc59bc, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xf4d3a02b, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x34d912fd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1fdf8d48, "try_module_get" },
	{ 0x92ba9683, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x98de1c15, "snprintf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xce7604ac, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xf056636c, "_dev_info" },
	{ 0xc7f1570f, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x94a66042, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x93df894b, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0xe9cf62ee, "device_create" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x85abc85f, "strncmp" },
	{ 0x69b4a613, "seq_putc" },
	{ 0xf5fdecae, "class_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x10793966, "__nvme_submit_sync_cmd" },
	{ 0x6e7c8732, "nvme_try_sched_reset" },
	{ 0x781495e3, "_dev_warn" },
	{ 0x50156281, "misc_register" },
	{ 0x3dcc7a76, "nvme_auth_wait" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x103bafd6, "down_read" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6700122, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x45d3c773, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0xf811c0c4, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1e7d367a, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x62395dfe, "seq_puts" },
	{ 0xd4ef5875, "single_release" },
	{ 0xdb3ed57f, "nvme_wait_reset" },
	{ 0x95ccdcc1, "kmalloc_trace" },
	{ 0x9ed633b7, "single_open" },
	{ 0x555ccb97, "up_read" },
	{ 0x370da647, "class_register" },
	{ 0x17c44a46, "nvme_tls_key_lookup" },
	{ 0x5ad6de54, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x546030e7, "nvme_auth_negotiate" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "E7BC7704EB936D378166DFF");
MODULE_INFO(rhelversion, "9.6");
