#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xfe052007, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x5ebb4955, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x922a1cca, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x7fdf25a3, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xfc01effb, "");
SYMBOL_CRC(fuse_abort_conn, 0x10e6d3d3, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x1b6272e6, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x4c7214b4, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xcb984f85, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0xae032ff8, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0xa1bf1bab, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x936b2798, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x5a439d79, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x0b0f2957, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x7b7f272a, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x7a772166, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x658bba63, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x63b5749e, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x54ba9409, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x195e8057, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x707ef6c8, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x7adbee25, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xdc6ec421, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x42c5d227, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x4b884305, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x75473579, "");
SYMBOL_CRC(fuse_do_ioctl, 0x3a688b9e, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x524dc0a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7bf9a589, "super_setup_bdi_name" },
	{ 0xb03bcbb6, "posix_test_lock" },
	{ 0x68bd6e59, "truncate_inode_pages" },
	{ 0x7ad0b2f7, "generic_copy_file_range" },
	{ 0xbb1e7b4d, "noop_backing_dev_info" },
	{ 0x531a839d, "pipe_lock" },
	{ 0xf8bf207e, "generic_fillattr" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x755b076f, "vfs_fsync_range" },
	{ 0x63c24cbf, "setattr_prepare" },
	{ 0x79defe35, "clear_nlink" },
	{ 0xb3d97a46, "file_check_and_advance_wb_err" },
	{ 0x7ca491fd, "d_alloc_parallel" },
	{ 0x1bc70b97, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x566aaca4, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x92ba9683, "misc_deregister" },
	{ 0xdde40f09, "make_vfsgid" },
	{ 0x31bc8efc, "clear_inode" },
	{ 0x747bbb5b, "inode_to_bdi" },
	{ 0x2e5b14c3, "find_pid_ns" },
	{ 0x8a064383, "grab_cache_page_write_begin" },
	{ 0xb4b936c5, "simple_dir_inode_operations" },
	{ 0xcce3bd14, "pipe_unlock" },
	{ 0xcc36649, "fs_param_is_string" },
	{ 0x3fd09806, "folio_unlock" },
	{ 0xc06292f6, "generic_file_splice_read" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x448d8f7a, "new_inode" },
	{ 0x2ec5c7ad, "filemap_map_pages" },
	{ 0xaca0aef0, "complete" },
	{ 0xd0028bf7, "dump_page" },
	{ 0xcf899a4e, "forget_all_cached_acls" },
	{ 0xf8331db7, "init_special_inode" },
	{ 0x4043e314, "unregister_filesystem" },
	{ 0x1b067b57, "task_active_pid_ns" },
	{ 0x695174a3, "iov_iter_single_seg_count" },
	{ 0x20f9e3e4, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x45465ccc, "filemap_fdatawrite_range" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x910430f7, "d_alloc_name" },
	{ 0x6ad01007, "replace_page_cache_folio" },
	{ 0x19b58d8b, "inode_query_iversion" },
	{ 0x3d3d7f55, "iov_iter_advance" },
	{ 0xa7a1e332, "kill_fasync" },
	{ 0xc97c19d, "d_make_root" },
	{ 0x9f8ef067, "sb_set_blocksize" },
	{ 0x67987b04, "fget" },
	{ 0xc134facc, "simple_fill_super" },
	{ 0x3e17de6e, "xas_find" },
	{ 0x365fba9f, "invalidate_mapping_pages" },
	{ 0x1bb011e0, "sync_filesystem" },
	{ 0x789aac64, "noop_dirty_folio" },
	{ 0x7a7a4220, "sget_fc" },
	{ 0x32ee8785, "param_set_uint" },
	{ 0xbd0d138e, "d_splice_alias" },
	{ 0x744db5ac, "iov_iter_get_pages2" },
	{ 0x95902adc, "current_time" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8a0f9c0f, "page_get_link" },
	{ 0x73471904, "generic_permission" },
	{ 0x8969b74d, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x6226becf, "invalidate_inode_pages2_range" },
	{ 0xe410b836, "posix_lock_file" },
	{ 0x80256f1, "finish_open" },
	{ 0x3687114e, "dax_iomap_rw" },
	{ 0x419ff440, "iput" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xe28c9f7f, "logfc" },
	{ 0x5bfc5828, "iter_file_splice_write" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1de672be, "init_pid_ns" },
	{ 0xcaf4e928, "dax_iomap_fault" },
	{ 0x3c217d8f, "iov_iter_init" },
	{ 0x79396f38, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xbb7ce7cb, "sysfs_create_mount_point" },
	{ 0x1783964d, "generic_file_write_iter" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3792669a, "register_filesystem" },
	{ 0x60b2c923, "kmem_cache_create" },
	{ 0xaf499243, "folio_add_lru" },
	{ 0x4a8e6672, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x62cf51be, "sync_inode_metadata" },
	{ 0x613dbfc3, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x857dab33, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x9ba68db2, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x2a5ba44c, "get_tree_nodev" },
	{ 0xacd40a5d, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x96df4d26, "fs_param_is_u32" },
	{ 0xdf666434, "inode_newsize_ok" },
	{ 0x5bd0fec5, "d_drop" },
	{ 0xc7e59bd, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x8012f8a9, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x20ddfbe0, "bdi_put" },
	{ 0xb35a44a9, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x711ddd2e, "param_get_uint" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x257ebecb, "make_kuid" },
	{ 0x536b87d9, "truncate_inode_pages_final" },
	{ 0xa17d53d8, "fs_kobj" },
	{ 0x59137d10, "__filemap_set_wb_err" },
	{ 0x6df73522, "simple_dir_operations" },
	{ 0x217ee86d, "generic_file_mmap" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe8fbfbf0, "__free_pages" },
	{ 0x3716b09e, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x1a8709b5, "put_pid_ns" },
	{ 0xc7d2cf1a, "kstrtoul_from_user" },
	{ 0x685eb2be, "setattr_should_drop_suidgid" },
	{ 0xd149e102, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x992a45a1, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x7f6c4c60, "fs_context_for_submount" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x68244c3e, "inode_init_once" },
	{ 0x1ec40642, "file_write_and_wait_range" },
	{ 0x1a8138e, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfed84918, "nosteal_pipe_buf_ops" },
	{ 0x357f442b, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xde77ed0a, "inode_nohighmem" },
	{ 0xef04fbf7, "release_pages" },
	{ 0x17afeab0, "generic_file_direct_write" },
	{ 0x6489f079, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x43f0e38f, "generic_file_read_iter" },
	{ 0xef9d8066, "inode_maybe_inc_iversion" },
	{ 0xae2af459, "unlock_page" },
	{ 0x2726b182, "inc_node_page_state" },
	{ 0xc27a0805, "thp_get_unmapped_area" },
	{ 0x4dea1053, "memchr" },
	{ 0x6630548e, "truncate_pagecache" },
	{ 0x7f4debe3, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x80e8c33f, "dec_node_page_state" },
	{ 0x8af97a9b, "write_cache_pages" },
	{ 0x3ffdf4ac, "file_update_time" },
	{ 0x11417083, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd6ceec11, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xd2052d2e, "from_kgid" },
	{ 0x45268c0, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x15d9e59c, "file_remove_privs" },
	{ 0x4b4b1f5c, "write_inode_now" },
	{ 0xb83bf8e7, "dax_writeback_mapping_range" },
	{ 0xb369d28, "d_obtain_alias" },
	{ 0xef452de0, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd4bca379, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x831e8a48, "finish_no_open" },
	{ 0xec7dcb10, "__folio_start_writeback" },
	{ 0x88f32489, "kill_litter_super" },
	{ 0xfe3ec793, "folio_end_writeback" },
	{ 0xfc90f9ce, "from_kuid" },
	{ 0x58bfe183, "current_in_userns" },
	{ 0xc8800d83, "fc_mount" },
	{ 0xf81fcf83, "sysfs_remove_mount_point" },
	{ 0x50156281, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x9695ffb9, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x33c02d26, "d_delete" },
	{ 0x9d83b88, "from_kgid_munged" },
	{ 0x6ecf66ba, "end_page_writeback" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x7147690c, "kobject_create_and_add" },
	{ 0x103bafd6, "down_read" },
	{ 0x3388a612, "wb_writeout_inc" },
	{ 0xe798236d, "jiffies" },
	{ 0x6a4892e9, "nonseekable_open" },
	{ 0xd632dc86, "dax_finish_sync_fault" },
	{ 0xb8c505f, "set_page_dirty" },
	{ 0xc808e7ca, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5fcf980c, "redirty_page_for_writepage" },
	{ 0x301aa40e, "noop_direct_IO" },
	{ 0x317da008, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x99e87f81, "generic_read_dir" },
	{ 0xead62606, "d_add" },
	{ 0x8d412613, "set_page_writeback" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4425d51c, "init_user_ns" },
	{ 0x4fed3b23, "d_find_alias" },
	{ 0x61d6bb20, "invalidate_inode_pages2" },
	{ 0x322d4e8a, "alloc_pages" },
	{ 0xfdce2af6, "inc_nlink" },
	{ 0x87d18f4a, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7176da02, "get_tree_bdev" },
	{ 0x2512d3, "set_anon_super_fc" },
	{ 0x1e7d367a, "seq_printf" },
	{ 0xed05afe9, "dput" },
	{ 0x92a16af7, "lockref_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xa30a3d52, "generic_delete_inode" },
	{ 0xe40c5171, "deactivate_locked_super" },
	{ 0x3c0469a8, "touch_atime" },
	{ 0x4212f110, "__percpu_down_read" },
	{ 0x5517e24e, "__d_lookup_unhash_wake" },
	{ 0xdfc614ba, "set_page_dirty_lock" },
	{ 0x3bf89ba0, "pid_nr_ns" },
	{ 0x61aad000, "generic_file_open" },
	{ 0xf2f640cf, "truncate_inode_pages_range" },
	{ 0xa04f908b, "__put_user_ns" },
	{ 0x3674c7bc, "__folio_lock" },
	{ 0x765cde3c, "filemap_dirty_folio" },
	{ 0xd06eaf67, "pagecache_get_page" },
	{ 0x62395dfe, "seq_puts" },
	{ 0xeccfd6db, "stream_open" },
	{ 0x996e3085, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x20f56ae0, "__wake_up_sync" },
	{ 0xa89ac717, "add_to_pipe" },
	{ 0xf89bc474, "__fs_parse" },
	{ 0xf5540fc4, "dax_layout_busy_page_range" },
	{ 0x565671df, "posix_acl_to_xattr" },
	{ 0xfc2d0465, "dget_parent" },
	{ 0x18dc694, "kill_anon_super" },
	{ 0x9fe43abb, "from_kuid_munged" },
	{ 0x676155ff, "dotdot_name" },
	{ 0x95ccdcc1, "kmalloc_trace" },
	{ 0x35d02c44, "iget5_locked" },
	{ 0x960abe46, "security_dentry_init_security" },
	{ 0x36dbf872, "filemap_write_and_wait_range" },
	{ 0x65e3ff0d, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x4639de29, "generic_write_checks" },
	{ 0x524626c9, "iov_iter_revert" },
	{ 0x8972fa6a, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xfcf796c, "mntget" },
	{ 0x997725a7, "kmem_cache_alloc_lru" },
	{ 0xf4ec494f, "filemap_fault" },
	{ 0x153d600, "d_invalidate" },
	{ 0xdcae0f2c, "__mark_inode_dirty" },
	{ 0xc4f5e3e1, "generic_file_llseek" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x555ccb97, "up_read" },
	{ 0x13bad84d, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x27719d7a, "drop_nlink" },
	{ 0x97e02e03, "fault_in_iov_iter_readable" },
	{ 0x2a75f1fc, "filemap_check_errors" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x5ad6de54, "kmalloc_caches" },
	{ 0x653146db, "bdi_set_max_ratio" },
	{ 0x6db1e3bd, "kmem_cache_destroy" },
	{ 0x767273bd, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DDAE7F7D77AC64A75F806F2");
MODULE_INFO(rhelversion, "9.6");
