#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xf5285e90, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0x4dc3c62e, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xb8697ae2, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x716740f8, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x8e0bb178, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x3c82bea7, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x4091c43d, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x49d9c3da, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x60354bef, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0x2827d8c3, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xfac33c61, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x676f0c61, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0xa765bcb2, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x51069470, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xb21fb72a, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x7d395479, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x69367dcf, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x023e289d, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xee4edc44, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xce94269f, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xc12ead99, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0xdcf76b74, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xda648a2d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1269efad, "iptun_encaps" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x47e675d8, "icmpv6_ndo_send" },
	{ 0x3a402050, "icmp_ndo_send" },
	{ 0x236c8c64, "memcpy" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x55157126, "alloc_netdev_mqs" },
	{ 0xa460b4d0, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3ebe3524, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8fff7153, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc21266a6, "ip_route_output_flow" },
	{ 0xb5a55c26, "dst_release" },
	{ 0xe798236d, "jiffies" },
	{ 0x284312ae, "__dev_get_by_index" },
	{ 0x8c7aeb8e, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xcab3b127, "gro_cells_init" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x48977c8c, "netdev_state_change" },
	{ 0xd133136a, "ns_capable" },
	{ 0x26e93ba3, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7c1e278b, "init_net" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xd5333c53, "skb_copy_bits" },
	{ 0x59a99c05, "sk_skb_reason_drop" },
	{ 0x7bf4859d, "pskb_expand_head" },
	{ 0x6b413ae3, "__skb_get_hash_net" },
	{ 0x43bc4c74, "dst_cache_get_ip4" },
	{ 0x9d0b5e88, "dst_cache_set_ip4" },
	{ 0xd0534846, "iptunnel_xmit" },
	{ 0x22b6cdfb, "__pskb_pull_tail" },
	{ 0xa8fc4a5e, "skb_scrub_packet" },
	{ 0x3af0addd, "gro_cells_receive" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x5537b0de, "eth_type_trans" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x4d1abf1d, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AB77A24DFC014DD90A5FFBF");
MODULE_INFO(rhelversion, "9.6");
