#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x693d1270, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x4f9d138d, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x290258e9, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x85d2b605, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xc82d7321, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x68b00ba1, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x56553c62, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf0cd17c5, "inet_addr_type_table" },
	{ 0x1766d69c, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xd5333c53, "skb_copy_bits" },
	{ 0xd1cc4033, "inet_unregister_protosw" },
	{ 0x3761d215, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x7e266821, "sock_wfree" },
	{ 0x181080b4, "skb_put" },
	{ 0x507a585, "register_net_sysctl" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x8c5699e5, "__fl6_sock_lookup" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x56229ff4, "ip6_dst_hoplimit" },
	{ 0xe7d3db56, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x19043c32, "inet6_add_offload" },
	{ 0x723bbc3, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x29051039, "inet6_bind" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x544de408, "trace_raw_output_prep" },
	{ 0x908aaf46, "l3mdev_fib_table_by_index" },
	{ 0xe9267738, "udp_sock_create4" },
	{ 0x90596122, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x38c09bf8, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x908f7582, "skb_segment" },
	{ 0xf3c264cc, "trace_event_printf" },
	{ 0x2a245e5e, "__ip_dev_find" },
	{ 0x9376dfc3, "udp_tunnel6_xmit_skb" },
	{ 0x2b11f830, "sock_common_getsockopt" },
	{ 0xbb830638, "inet_bind" },
	{ 0x1863ac7e, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x6e80033d, "fd_install" },
	{ 0x25a3be1a, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xcc0f4c5, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xb2b4ffdf, "inet_register_protosw" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x268190c9, "__xfrm_policy_check" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xf7637850, "bpf_trace_run2" },
	{ 0xc6ba06d9, "sock_common_setsockopt" },
	{ 0x9547a7a4, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x28e8698f, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc21266a6, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x60b2c923, "kmem_cache_create" },
	{ 0x24c66f0e, "__sk_mem_schedule" },
	{ 0x2945ab69, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x40c36296, "sock_alloc_file" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe0805144, "proc_create_net_data" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xdc14592b, "sk_error_report" },
	{ 0x53dcf4a7, "register_pernet_subsys" },
	{ 0xb51546a5, "put_cmsg" },
	{ 0x695d387f, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x32324ca3, "inet_sock_destruct" },
	{ 0x298c28c4, "crypto_destroy_tfm" },
	{ 0x9efbb0b5, "sock_kmalloc" },
	{ 0xb69f6ea7, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x16aa9ad, "inet_getname" },
	{ 0x224b61b9, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc9a91797, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x2f9ac262, "__alloc_skb" },
	{ 0xc94fdebf, "__genradix_ptr" },
	{ 0x962052ce, "inet_release" },
	{ 0x3716b09e, "kmem_cache_alloc" },
	{ 0x8d8b7269, "proto_register" },
	{ 0x56ec09ef, "skb_copy_expand" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x5a0ac6f1, "__sock_recv_ts_and_drops" },
	{ 0xf85e59a5, "inet6_compat_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x966100b7, "inet_ctl_sock_create" },
	{ 0x136f20bd, "inet_ioctl" },
	{ 0x1bf8a81f, "reuseport_add_sock" },
	{ 0x260a8656, "reuseport_select_sock" },
	{ 0xb94f4d5d, "__kmalloc_node_track_caller" },
	{ 0x5f9ede6c, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x9ac9b73b, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x3dae676a, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x6489f079, "fput" },
	{ 0x92bd28b0, "__traceiter_sk_data_ready" },
	{ 0x7e12ec2, "inet_accept" },
	{ 0x7c1e278b, "init_net" },
	{ 0x404189c1, "crypto_shash_setkey" },
	{ 0x8fff2b3c, "skb_pull" },
	{ 0x3313b400, "inet_add_offload" },
	{ 0x59a99c05, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x1d40c516, "inet_add_protocol" },
	{ 0xeb0bb4eb, "inet_shutdown" },
	{ 0xbd9fc030, "sk_free" },
	{ 0xca690b59, "sock_wake_async" },
	{ 0xc5c90ec6, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x81a180e8, "inet_del_offload" },
	{ 0xcdf1b106, "skb_push" },
	{ 0x2f702a03, "__ip_queue_xmit" },
	{ 0xd6ceec11, "kmem_cache_free" },
	{ 0x67a0f4cc, "__sk_mem_reclaim" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x85abc85f, "strncmp" },
	{ 0x8e73ebce, "proc_doulongvec_minmax" },
	{ 0x69dadd51, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0xd133136a, "ns_capable" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe239f2ba, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbb079711, "inet6_ioctl" },
	{ 0xe792ad5, "skb_copy_datagram_iter" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0x79dbd782, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x865db2c5, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x73070b0b, "ip6_dst_lookup_flow" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xdec9ae2b, "sock_no_socketpair" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xa7fce177, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x19081c2, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x22b6cdfb, "__pskb_pull_tail" },
	{ 0xd49379, "sock_no_sendpage" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x86f66114, "setup_udp_tunnel_sock" },
	{ 0xbc110d8f, "udp_sock_create6" },
	{ 0x3b3e986, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xc981e219, "sk_common_release" },
	{ 0xbc75a65, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x20374451, "inet6_getname" },
	{ 0xcb07361b, "sock_i_ino" },
	{ 0xf0980745, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa52caf23, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xe1878e35, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7ac48cc5, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd73b4467, "trace_event_buffer_reserve" },
	{ 0x1cf44397, "__skb_checksum" },
	{ 0x1bbc7641, "reuseport_alloc" },
	{ 0x83299df9, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x34892e27, "inet6_release" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xd0daf5a, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x83d6049, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xb7c63ac4, "ipv6_dup_options" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x31d3199b, "rhltable_init" },
	{ 0x1fd832df, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1e7d367a, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x6db07cba, "proc_create_net_single" },
	{ 0x90a5230e, "skb_copy" },
	{ 0x9326ed73, "skb_clone" },
	{ 0x670e5ff8, "inet_sk_set_state" },
	{ 0xb5a55c26, "dst_release" },
	{ 0xe60f1a3c, "_copy_from_iter" },
	{ 0xafd1eed6, "sock_release" },
	{ 0x634a9246, "inet_recv_error" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0x62395dfe, "seq_puts" },
	{ 0xbd1a854f, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0xa75152b4, "_proc_mkdir" },
	{ 0xffcf2f3b, "sk_setup_caps" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xe80a4e85, "send_sig" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x4fa95264, "inet6_add_protocol" },
	{ 0x9fe43abb, "from_kuid_munged" },
	{ 0x95ccdcc1, "kmalloc_trace" },
	{ 0x848a756c, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0x8b2898e7, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6b90810f, "ipv6_getsockopt" },
	{ 0x34edf097, "reuseport_detach_sock" },
	{ 0x988c636e, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x524626c9, "iov_iter_revert" },
	{ 0x1a3ae213, "crypto_alloc_shash" },
	{ 0x2bbe76f4, "rps_sock_flow_table" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x44c4cc1f, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x5ad6de54, "kmalloc_caches" },
	{ 0x6db1e3bd, "kmem_cache_destroy" },
	{ 0x33b63151, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd44af007, "skb_queue_head" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "5BAD5A09F0B5F654E6A9D48");
MODULE_INFO(rhelversion, "9.6");
